<!--
-- ButtonArea.vue, emilien <emilien@emilien-pc>, 2021
-->

<template>
	<div class="ui-buttons">
		<div class="flex center column">
			<slot />
		</div>
	</div>
</template>

<script>
export default {
	name: 'ButtonArea',
};
</script>

<style lang="scss" scoped>
.ui-buttons {
	background-color: var(--main-background-color);
	position: absolute;
	padding-bottom: 7vh;
	padding-top: 7vh;
	bottom: 0;
	left: 0;
	width: 100vw;

	>div {
		@include mx-container;
		margin-left: auto;
		margin-right: auto;
	}
}

</style>

